
function EPJS_REF_AddSelection( roleid, epid, userid, params )
{
	new Ajax.Request( '/cgi/users/ref/add_selection', {
		parameters: "roleid="+roleid+"&epid="+epid+"&userid="+userid,
		method: "POST",
		onSuccess: function( trans ) {
			EPJS_REF_RefreshContent( '/cgi/users/ajax?_ajax_action_id=refresh_selected'+params, 'epjs_ref_selected_items' );
			EPJS_REF_RefreshContent( '/cgi/users/ajax?_ajax_action_id=refresh_search'+params, 'epjs_ref_search_fragment' );
		}
	});

	// onClick event:
	return false;
};

function EPJS_REF_RemoveSelection( roleid, epid, userid, params )
{
	new Ajax.Request( '/cgi/users/ref/remove_selection', {
		parameters: "roleid="+roleid+"&epid="+epid+"&userid="+userid,
		method: "POST",
		onSuccess: function( trans ) {
			EPJS_REF_RefreshContent( '/cgi/users/ajax?screen=REF::Select&_ajax_action_id=refresh_selected'+params, 'epjs_ref_selected_items' );
			EPJS_REF_RefreshContent( '/cgi/users/ajax?screen=REF::Select&_ajax_action_id=refresh_search'+params, 'epjs_ref_search_fragment' );
		}
	});

	// onClick event:
	return false;
};

function EPJS_REF_RefreshContent( ajax_url, elementid )
{
	var w = $(elementid).offsetWidth;
	var h = $(elementid).offsetHeight;

	$(elementid).innerHTML = "";

	var container = new Element( 'div', { 'align': 'center', 'valign': 'middle' } );
	container.style.width = w + "px";
	container.style.height = h + "px";
	container.appendChild( new Element( 'img', { 'src': '/style/images/loading.gif', 'border': '0' } ) );
	var span = new Element( 'span' );
	span.style.marginLeft = '10px';
	span.style.fontSize = '14px';
	span.innerHTML = "Refreshing...";
	container.appendChild( span );

	$(elementid).appendChild( container );
	
	new Ajax.Request( ajax_url,
	{
		method:"GET",
		onSuccess:function(trans) {
			$(elementid).style.width = "auto";
			$(elementid).style.height = "auto";
			$(elementid).innerHTML = trans.responseText;
		}
	});
};




